Bug 1494002 - sssd_nss crashed in cache_req_search_domains_next
Summary: sssd_nss crashed in cache_req_search_domains_next
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 09:57 UTC by Lukas Slebodnik
Modified: 2020-05-02 18:49 UTC (History)
11 users (show)

Fixed In Version: sssd-1.16.0-3.fc26 sssd-1.16.0-4.fc27 sssd-1.16.0-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-01 03:43:47 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 4577 0 None closed Race condition between refreshing the cr_domain list and a request that is using the list can cause a segfault is sssd_n... 2021-02-08 19:50:49 UTC

Description Lukas Slebodnik 2017-09-21 09:57:36 UTC
Description of problem:
sssd_nss crashed on freeIPA server. Crash might be related to IPA server failures
in BZ1491508
 

Version-Release number of selected component (if applicable):
sh# rpm -q sssd
sssd-1.15.3-4.fc27.x86_64

How reproducible:
Ocasional

Additional info:
           PID: 31529 (sssd_nss)
           UID: 0 (root)
           GID: 0 (root)
        Signal: 7 (BUS)
     Timestamp: Thu 2017-09-21 04:32:16 EDT (1h 24min ago)
  Command Line: /usr/libexec/sssd/sssd_nss --uid 0 --gid 0 --debug-to-files
    Executable: /usr/libexec/sssd/sssd_nss
 Control Group: /system.slice/sssd.service
          Unit: sssd.service
         Slice: system.slice
       Boot ID: a9165bb26d374913b7bd700309a8a49b
    Machine ID: 85798e17e07f460490da106a2201860f
      Hostname: kvm-02-guest21.testrelm.test
       Storage: /var/lib/systemd/coredump/core.sssd_nss.0.a9165bb26d374913b7bd700309a8a49b.31529.1505982736000000.lz4
       Message: Process 31529 (sssd_nss) of user 0 dumped core.
                
                Stack trace of thread 31529:
                #0  0x00005558ca283978 cache_req_search_domains_next (sssd_nss)
                #1  0x00005558ca283e0d cache_req_search_domains_done (sssd_nss)
                #2  0x00007f5034e83a24 tevent_common_loop_immediate (libtevent.so.0)
                #3  0x00007f5034e88c1b epoll_event_loop_once (libtevent.so.0)
                #4  0x00007f5034e87277 std_event_loop_once (libtevent.so.0)
                #5  0x00007f5034e8304d _tevent_loop_once (libtevent.so.0)
                #6  0x00007f5034e8326b tevent_common_loop_wait (libtevent.so.0)
                #7  0x00007f5034e87217 std_event_loop_wait (libtevent.so.0)
                #8  0x00007f5038c20c53 server_loop (libsss_util.so)
                #9  0x00005558ca26cf0b main (sssd_nss)
                #10 0x00007f503441803a __libc_start_main (libc.so.6)
                #11 0x00005558ca26cf8a _start (sssd_nss)

           PID: 31898 (sssd_nss)
           UID: 0 (root)
           GID: 0 (root)
        Signal: 7 (BUS)
     Timestamp: Thu 2017-09-21 04:34:36 EDT (1h 22min ago)
  Command Line: /usr/libexec/sssd/sssd_nss --uid 0 --gid 0 --debug-to-files
    Executable: /usr/libexec/sssd/sssd_nss
 Control Group: /system.slice/sssd.service
          Unit: sssd.service
         Slice: system.slice
       Boot ID: a9165bb26d374913b7bd700309a8a49b
    Machine ID: 85798e17e07f460490da106a2201860f
      Hostname: kvm-02-guest21.testrelm.test
       Storage: /var/lib/systemd/coredump/core.sssd_nss.0.a9165bb26d374913b7bd700309a8a49b.31898.1505982876000000.lz4
       Message: Process 31898 (sssd_nss) of user 0 dumped core.
                
                Stack trace of thread 31898:
                #0  0x000055dfeb471978 cache_req_search_domains_next (sssd_nss)
                #1  0x000055dfeb471e0d cache_req_search_domains_done (sssd_nss)
                #2  0x00007f11d315fa24 tevent_common_loop_immediate (libtevent.so.0)
                #3  0x00007f11d3164c1b epoll_event_loop_once (libtevent.so.0)
                #4  0x00007f11d3163277 std_event_loop_once (libtevent.so.0)
                #5  0x00007f11d315f04d _tevent_loop_once (libtevent.so.0)
                #6  0x00007f11d315f26b tevent_common_loop_wait (libtevent.so.0)
                #7  0x00007f11d3163217 std_event_loop_wait (libtevent.so.0)
                #8  0x00007f11d6efcc53 server_loop (libsss_util.so)
                #9  0x000055dfeb45af0b main (sssd_nss)
                #10 0x00007f11d26f403a __libc_start_main (libc.so.6)
                #11 0x000055dfeb45af8a _start (sssd_nss)

Comment 1 Lukas Slebodnik 2017-09-21 09:58:17 UTC
[New LWP 31898]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/libexec/sssd/sssd_nss --uid 0 --gid 0 --debug-to-files'.
Program terminated with signal SIGBUS, Bus error.
#0  cache_req_validate_domain_type (cr=0x55dfec28d5b0, domain=0xbebebebebebebebe) at src/responder/common/cache_req/cache_req.c:196
196             valid = domain->type == DOM_TYPE_POSIX ? true : false;
(gdb) bt full
#0  cache_req_validate_domain_type (cr=0x55dfec28d5b0, domain=0xbebebebebebebebe) at src/responder/common/cache_req/cache_req.c:196
        valid = false
#1  cache_req_validate_domain (domain=0xbebebebebebebebe, cr=0x55dfec28d5b0) at src/responder/common/cache_req/cache_req.c:226
No locals.
#2  cache_req_search_domains_next (req=req@entry=0x55dfec291270) at src/responder/common/cache_req/cache_req.c:474
        state = 0x55dfec291400
        subreq = <optimized out>
        cr = 0x55dfec28d5b0
        domain = 0xbebebebebebebebe
        next_domain_flag = 1
        allow_no_fqn = true
#3  0x000055dfeb471e0d in cache_req_search_domains_done (subreq=0x0) at src/responder/common/cache_req/cache_req.c:593
        state = 0x55dfec291400
        result = 0x55dfec266910
        req = 0x55dfec291270
        dp_success = false
        ret = 2
#4  0x00007f11d315fa24 in tevent_common_loop_immediate (ev=ev@entry=0x55dfec266910) at ../tevent_immediate.c:135
        im = 0x55dfec291690
        handler = 0x7f11d3160230 <tevent_req_trigger>
        private_data = 0x55dfec2915b0
#5  0x00007f11d3164c1b in epoll_event_loop_once (ev=0x55dfec266910, location=<optimized out>) at ../tevent_epoll.c:911
        epoll_ev = 0x55dfec266b90
        tval = {tv_sec = 0, tv_usec = 0}
        panic_triggered = false
#6  0x00007f11d3163277 in std_event_loop_once (ev=0x55dfec266910, location=0x7f11d6f1f3a7 "src/util/server.c:719") at ../tevent_standard.c:114
        glue_ptr = <optimized out>
        glue = 0x55dfec266a40
        ret = <optimized out>
#7  0x00007f11d315f04d in _tevent_loop_once (ev=ev@entry=0x55dfec266910, location=location@entry=0x7f11d6f1f3a7 "src/util/server.c:719") at ../tevent.c:726
        ret = <optimized out>
        nesting_stack_ptr = 0x0
#8  0x00007f11d315f26b in tevent_common_loop_wait (ev=0x55dfec266910, location=0x7f11d6f1f3a7 "src/util/server.c:719") at ../tevent.c:849
        ret = <optimized out>
#9  0x00007f11d3163217 in std_event_loop_wait (ev=0x55dfec266910, location=0x7f11d6f1f3a7 "src/util/server.c:719") at ../tevent_standard.c:145
        glue_ptr = <optimized out>
        glue = 0x55dfec266a40
        ret = <optimized out>
#10 0x00007f11d6efcc53 in server_loop (main_ctx=0x55dfec267da0) at src/util/server.c:719
No locals.
#11 0x000055dfeb45af0b in main (argc=6, argv=<optimized out>) at src/responder/nss/nsssrv.c:461
        opt = <optimized out>
        pc = 0x55dfec2610d0
        main_ctx = 0x55dfec267da0
        ret = 0
        uid = 0
        gid = 0
        long_options = {{longName = 0x0, shortName = 0 '\000', argInfo = 4, arg = 0x55dfeb68f440 <poptHelpOptions>, val = 0, descrip = 0x55dfeb478d60 "Help options:", argDescrip = 0x0}, 
          {longName = 0x55dfeb478d6e "debug-level", shortName = 100 'd', argInfo = 2, arg = 0x55dfeb68f530 <debug_level>, val = 0, descrip = 0x55dfeb478d7a "Debug level", 
            argDescrip = 0x0}, {longName = 0x55dfeb478d86 "debug-to-files", shortName = 102 'f', argInfo = 0, arg = 0x55dfeb68f424 <debug_to_file>, val = 0, 
            descrip = 0x55dfeb4791f0 "Send the debug output to files instead of stderr", argDescrip = 0x0}, {longName = 0x55dfeb478d95 "debug-to-stderr", shortName = 0 '\000', 
---Type <return> to continue, or q <return> to quit---
            argInfo = 1073741824, arg = 0x55dfeb68f420 <debug_to_stderr>, val = 0, descrip = 0x55dfeb479228 "Send the debug output to stderr directly.", argDescrip = 0x0}, {
            longName = 0x55dfeb478da5 "debug-timestamps", shortName = 0 '\000', argInfo = 2, arg = 0x55dfeb68f508 <debug_timestamps>, val = 0, 
            descrip = 0x55dfeb478db6 "Add debug timestamps", argDescrip = 0x0}, {longName = 0x55dfeb478dcb "debug-microseconds", shortName = 0 '\000', argInfo = 2, 
            arg = 0x55dfeb68f510 <debug_microseconds>, val = 0, descrip = 0x55dfeb479258 "Show timestamps with microseconds", argDescrip = 0x0}, {longName = 0x55dfeb478dde "uid", 
            shortName = 0 '\000', argInfo = 2, arg = 0x7ffdd210e710, val = 0, descrip = 0x55dfeb479280 "The user ID to run the server as", argDescrip = 0x0}, {
            longName = 0x55dfeb478de2 "gid", shortName = 0 '\000', argInfo = 2, arg = 0x7ffdd210e714, val = 0, descrip = 0x55dfeb4792a8 "The group ID to run the server as", 
            argDescrip = 0x0}, {longName = 0x55dfeb478de6 "socket-activated", shortName = 0 '\000', argInfo = 0, arg = 0x55dfeb68f428 <socket_activated>, val = 0, 
            descrip = 0x55dfeb4792d0 "Informs that the responder has been socket-activated", argDescrip = 0x0}, {longName = 0x55dfeb478df7 "dbus-activated", shortName = 0 '\000', 
            argInfo = 0, arg = 0x55dfeb68f528 <dbus_activated>, val = 0, descrip = 0x55dfeb479308 "Informs that the responder has been dbus-activated", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 0, arg = 0x0, val = 0, descrip = 0x0, argDescrip = 0x0}}
        __FUNCTION__ = "main"

Comment 2 Lukas Slebodnik 2017-09-21 10:27:49 UTC
Sep 21 04:34:20 kvm-02-guest21.testrelm.test named-pkcs11[21106]: Failed to get initial credentials (TGT) using principal 'DNS/kvm-02-guest21.testrelm.test' and keytab 'FILE:/etc/named.ke
ytab' (Client 'DNS/kvm-02-guest21.testrelm.test.IDM.LAB.ENG.BRQ.REDHAT.COM' not found in Kerberos database)
Sep 21 04:34:20 kvm-02-guest21.testrelm.test named-pkcs11[21106]: ldap_syncrepl will reconnect in 60 seconds
Sep 21 04:34:22 kvm-02-guest21.testrelm.test python3[31815]: GSSAPI client step 1
Sep 21 04:34:22 kvm-02-guest21.testrelm.test python3[31815]: GSSAPI client step 1
Sep 21 04:34:23 kvm-02-guest21.testrelm.test python3[31815]: GSSAPI client step 1
Sep 21 04:34:23 kvm-02-guest21.testrelm.test python3[31815]: GSSAPI client step 2
Sep 21 04:34:32 kvm-02-guest21.testrelm.test systemd[1]: Reloading.
Sep 21 04:34:33 kvm-02-guest21.testrelm.test systemd[1]: Starting System Security Services Daemon...
Sep 21 04:34:33 kvm-02-guest21.testrelm.test audit[31895]: AVC avc:  denied  { noatsecure } for  pid=31895 comm="sssd" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:sssd
_t:s0 tclass=process permissive=0
Sep 21 04:34:33 kvm-02-guest21.testrelm.test sssd[31895]: Starting up
Sep 21 04:34:33 kvm-02-guest21.testrelm.test sssd[be[implicit_files]][31896]: Starting up
Sep 21 04:34:33 kvm-02-guest21.testrelm.test sssd[be[dom-052.abc.idm.lab.eng.brq.redhat.com]][31897]: Starting up
Sep 21 04:34:33 kvm-02-guest21.testrelm.test sssd[ssh][31900]: Starting up
Sep 21 04:34:33 kvm-02-guest21.testrelm.test sssd[nss][31898]: Starting up
Sep 21 04:34:33 kvm-02-guest21.testrelm.test sssd[pam][31899]: Starting up
Sep 21 04:34:33 kvm-02-guest21.testrelm.test sssd[sudo][31901]: Starting up
Sep 21 04:34:33 kvm-02-guest21.testrelm.test sssd[pac][31902]: Starting up
Sep 21 04:34:33 kvm-02-guest21.testrelm.test systemd[1]: Started System Security Services Daemon.
Sep 21 04:34:33 kvm-02-guest21.testrelm.test audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=sssd comm="systemd" exe="/usr/li
b/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 21 04:34:33 kvm-02-guest21.testrelm.test systemd[1]: Reloading.
Sep 21 04:34:34 kvm-02-guest21.testrelm.test sssd_be[31897]: GSSAPI client step 1
Sep 21 04:34:34 kvm-02-guest21.testrelm.test sssd_be[31897]: GSSAPI client step 1
Sep 21 04:34:34 kvm-02-guest21.testrelm.test sssd_be[31897]: GSSAPI client step 1
Sep 21 04:34:34 kvm-02-guest21.testrelm.test sssd_be[31897]: GSSAPI client step 2
Sep 21 04:34:36 kvm-02-guest21.testrelm.test audit[31898]: ANOM_ABEND auid=4294967295 uid=0 gid=0 ses=4294967295 subj=system_u:system_r:sssd_t:s0 pid=31898 comm="sssd_nss" exe="/usr/libexec/sssd/sssd_nss" sig=7 res=1
Sep 21 04:34:36 kvm-02-guest21.testrelm.test kernel: traps: sssd_nss[31898] trap stack segment ip:55dfeb471978 sp:7ffdd210e550 error:0 in sssd_nss[55dfeb453000+3b000]
Sep 21 04:35:20 kvm-02-guest21.testrelm.test named-pkcs11[21106]: Failed to get initial credentials (TGT) using principal 'DNS/kvm-02-guest21.testrelm.test' and keytab 'FILE:/etc/named.keytab' (Client 'DNS/kvm-02-guest21.testrelm.test.IDM.LAB.ENG.BRQ.REDHAT.COM' not found in Kerberos database)
Sep 21 04:35:20 kvm-02-guest21.testrelm.test named-pkcs11[21106]: ldap_syncrepl will reconnect in 60 seconds
Sep 21 04:36:03 kvm-02-guest21.testrelm.test systemd[1]: system-generators terminated by signal ALRM.
Sep 21 04:36:03 kvm-02-guest21.testrelm.test systemd[1]: Execution failed: Protocol error
Sep 21 04:36:03 kvm-02-guest21.testrelm.test audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 21 04:36:03 kvm-02-guest21.testrelm.test audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 21 04:36:03 kvm-02-guest21.testrelm.test systemd[1]: Cannot find unit for notify message of PID 31750.
Sep 21 04:36:03 kvm-02-guest21.testrelm.test systemd[1]: Started Process Core Dump (PID 31922/UID 0).
Sep 21 04:36:03 kvm-02-guest21.testrelm.test audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@2-31922-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 21 04:36:03 kvm-02-guest21.testrelm.test audit[31926]: AVC avc:  denied  { noatsecure } for  pid=31926 comm="systemd-coredum" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:systemd_coredump_t:s0 tclass=process permissive=0
Sep 21 04:36:03 kvm-02-guest21.testrelm.test systemd-coredump[31926]: Process 31898 (sssd_nss) of user 0 dumped core.
                                                                      
                                                                      Stack trace of thread 31898:
                                                                      #0  0x000055dfeb471978 cache_req_search_domains_next (sssd_nss)
                                                                      #1  0x000055dfeb471e0d cache_req_search_domains_done (sssd_nss)
                                                                      #2  0x00007f11d315fa24 tevent_common_loop_immediate (libtevent.so.0)
                                                                      #3  0x00007f11d3164c1b epoll_event_loop_once (libtevent.so.0)
                                                                      #4  0x00007f11d3163277 std_event_loop_once (libtevent.so.0)
                                                                      #5  0x00007f11d315f04d _tevent_loop_once (libtevent.so.0)
                                                                      #6  0x00007f11d315f26b tevent_common_loop_wait (libtevent.so.0)
                                                                      #7  0x00007f11d3163217 std_event_loop_wait (libtevent.so.0)
                                                                      #8  0x00007f11d6efcc53 server_loop (libsss_util.so)
                                                                      #9  0x000055dfeb45af0b main (sssd_nss)
                                                                      #10 0x00007f11d26f403a __libc_start_main (libc.so.6)
                                                                      #11 0x000055dfeb45af8a _start (sssd_nss)
Sep 21 04:36:04 kvm-02-guest21.testrelm.test sssd[nss][31927]: Starting up

Comment 4 Sumit Bose 2017-09-21 10:30:58 UTC
(In reply to Lukas Slebodnik from comment #1)
> [New LWP 31898]
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib64/libthread_db.so.1".
> Core was generated by `/usr/libexec/sssd/sssd_nss --uid 0 --gid 0
> --debug-to-files'.
> Program terminated with signal SIGBUS, Bus error.
> #0  cache_req_validate_domain_type (cr=0x55dfec28d5b0,
> domain=0xbebebebebebebebe) at src/responder/common/cache_req/cache_req.c:196

           ^^^^^^^^^^^^^^^^
looks like the domain in the ordered domain list cr_domain is not linked properly or the list is not properly terminated.

Do you know if domain_resolution_order is set in sssd.conf or in the related IPA server side option or is this a default setup without any given order?

> 196             valid = domain->type == DOM_TYPE_POSIX ? true : false;
> (gdb) bt full
> #0  cache_req_validate_domain_type (cr=0x55dfec28d5b0,
> domain=0xbebebebebebebebe) at src/responder/common/cache_req/cache_req.c:196
>         valid = false
> #1  cache_req_validate_domain (domain=0xbebebebebebebebe, cr=0x55dfec28d5b0)
> at src/responder/common/cache_req/cache_req.c:226
> No locals.
> #2  cache_req_search_domains_next (req=req@entry=0x55dfec291270) at
> src/responder/common/cache_req/cache_req.c:474
>         state = 0x55dfec291400
>         subreq = <optimized out>
>         cr = 0x55dfec28d5b0
>         domain = 0xbebebebebebebebe
>         next_domain_flag = 1
>         allow_no_fqn = true

Comment 5 Lukas Slebodnik 2017-09-21 10:57:57 UTC
[root@kvm-02-guest21 ~]# gdb /usr/libexec/sssd/sssd_nss core.sssd_nss 
GNU gdb (GDB) Fedora 8.0.1-26.fc27
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/libexec/sssd/sssd_nss...Reading symbols from /usr/lib/debug/usr/libexec/sssd/sssd_nss-1.15.3-4.fc27.x86_64.debug...done.
done.
[New LWP 31898]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/libexec/sssd/sssd_nss --uid 0 --gid 0 --debug-to-files'.
Program terminated with signal SIGBUS, Bus error.
#0  cache_req_validate_domain_type (cr=0x55dfec28d5b0, domain=0xbebebebebebebebe) at src/responder/common/cache_req/cache_req.c:196
196             valid = domain->type == DOM_TYPE_POSIX ? true : false;
(gdb) frame 2
#2  cache_req_search_domains_next (req=req@entry=0x55dfec291270) at src/responder/common/cache_req/cache_req.c:474
474             is_domain_valid = cache_req_validate_domain(cr, domain);

(gdb) l 462,474
462         while (state->cr_domain != NULL) {
463             domain = state->cr_domain->domain;
464             /* As the cr_domain list is a flatten version of the domains
465              * list, we have to ensure to only go through the subdomains in
466              * case it's specified in the plugin to do so.
467              */
468             if (next_domain_flag == 0 && IS_SUBDOMAIN(domain)) {
469                 state->cr_domain = state->cr_domain->next;
470                 continue;
471             }
472
473             /* Check if this domain is valid for this request. */
474             is_domain_valid = cache_req_validate_domain(cr, domain);


(gdb) p state->cr_domain[0]
$1 = {domain = 0xbebebebebebebebe, fqnames = 190, prev = 0xbebebebebebebebe, next = 0xbebebebebebebebe}

Comment 6 Lukas Slebodnik 2017-09-21 19:25:53 UTC
I tested 389-ds from copr repo mreynolds/389-ds-base which use glibc instead of tcmalloc and it crashed as well.

sh# rpm -q 389-ds-base
389-ds-base-1.3.7.4-2.fc28.x86_64

           PID: 19768 (ns-slapd)
           UID: 389 (dirsrv)
           GID: 389 (dirsrv)
        Signal: 6 (ABRT)
     Timestamp: Thu 2017-09-21 15:09:19 EDT (15min ago)
  Command Line: /usr/sbin/ns-slapd -D /etc/dirsrv/slapd-TESTRELM-TEST -i /var/run/dirsrv/slapd-TESTRELM-TEST.pid
    Executable: /usr/sbin/ns-slapd
 Control Group: /system.slice/system-dirsrv.slice/dirsrv
          Unit: dirsrv
         Slice: system-dirsrv.slice
       Boot ID: 2c9a9cf0384443b0bca5c271ea5aee0d
    Machine ID: 41bff4ef34a252914cb2c593320f4ee3
      Hostname: hp-dl380pgen8-02-vm-11.testrelm.test
       Storage: /var/lib/systemd/coredump/core.ns-slapd.389.2c9a9cf0384443b0bca5c271ea5aee0d.19768.1506020959000000.lz4
       Message: Process 19768 (ns-slapd) of user 389 dumped core.
                
                Stack trace of thread 19768:
                #0  0x00007f573caa46bb raise (libc.so.6)
                #1  0x00007f573caa6447 abort (libc.so.6)
                #2  0x00007f573caeeb87 __libc_message (libc.so.6)
                #3  0x00007f573caf5efe malloc_printerr (libc.so.6)
                #4  0x00007f573caf79f9 _int_free (libc.so.6)
                #5  0x00007f573cb0035e __libc_free (libc.so.6)
                #6  0x00007f573f98de91 slapi_ch_free (libslapd.so.0)
                #7  0x00007f573fa1c582 vattr_map_entry_free (libslapd.so.0)
                #8  0x00007f573fa1c5ad vattr_he_cleanup_fn (libslapd.so.0)
                #9  0x00007f573dba6ac0 PL_HashTableEnumerateEntries (libplds4.so)
                #10 0x00007f573fa1be62 vattr_cleanup (libslapd.so.0)
                #11 0x000055bee8bf6643 main (ns-slapd)
                #12 0x00007f573ca8e03a __libc_start_main (libc.so.6)
                #13 0x000055bee8bf6f4a _start (ns-slapd)
                
                Stack trace of thread 19786:
                #0  0x00007f573cb872e6 epoll_pwait (libc.so.6)
                #1  0x00007f573ce77c5b epoll_dispatch (libevent-2.0.so.5)
                #2  0x00007f573ce628de event_base_loop (libevent-2.0.so.5)
                #3  0x00007f573fc7dcae ns_event_fw_loop (libnunc-stans.so.0)
                #4  0x00007f573fc7c929 event_loop_thread_func (libnunc-stans.so.0)
                #5  0x00007f573d32b609 start_thread (libpthread.so.0)
                #6  0x00007f573cb8717f __clone (libc.so.6)

           PID: 20438 (ns-slapd)
           UID: 389 (dirsrv)
           GID: 389 (dirsrv)
        Signal: 6 (ABRT)
     Timestamp: Thu 2017-09-21 15:09:31 EDT (15min ago)
  Command Line: /usr/sbin/ns-slapd -D /etc/dirsrv/slapd-TESTRELM-TEST -i /var/run/dirsrv/slapd-TESTRELM-TEST.pid
    Executable: /usr/sbin/ns-slapd
 Control Group: /system.slice/system-dirsrv.slice/dirsrv
          Unit: dirsrv
         Slice: system-dirsrv.slice
       Boot ID: 2c9a9cf0384443b0bca5c271ea5aee0d
    Machine ID: 41bff4ef34a252914cb2c593320f4ee3
      Hostname: hp-dl380pgen8-02-vm-11.testrelm.test
       Storage: /var/lib/systemd/coredump/core.ns-slapd.389.2c9a9cf0384443b0bca5c271ea5aee0d.20438.1506020971000000.lz4
       Message: Process 20438 (ns-slapd) of user 389 dumped core.
                
                Stack trace of thread 20438:
                #0  0x00007f3771edd6bb raise (libc.so.6)
                #1  0x00007f3771edf447 abort (libc.so.6)
                #2  0x00007f3771f27b87 __libc_message (libc.so.6)
                #3  0x00007f3771f2eefe malloc_printerr (libc.so.6)
                #4  0x00007f3771f309f9 _int_free (libc.so.6)
                #5  0x00007f3771f3935e __libc_free (libc.so.6)
                #6  0x00007f3774dc6e91 slapi_ch_free (libslapd.so.0)
                #7  0x00007f3774e55582 vattr_map_entry_free (libslapd.so.0)
                #8  0x00007f3774e555ad vattr_he_cleanup_fn (libslapd.so.0)
                #9  0x00007f3772fdfac0 PL_HashTableEnumerateEntries (libplds4.so)
                #10 0x00007f3774e54e62 vattr_cleanup (libslapd.so.0)
                #11 0x0000558e54f00643 main (ns-slapd)
                #12 0x00007f3771ec703a __libc_start_main (libc.so.6)
                #13 0x0000558e54f00f4a _start (ns-slapd)
                
                Stack trace of thread 20464:
                #0  0x00007f3771fc02e6 epoll_pwait (libc.so.6)
                #1  0x00007f37722b0c5b epoll_dispatch (libevent-2.0.so.5)
                #2  0x00007f377229b8de event_base_loop (libevent-2.0.so.5)
                #3  0x00007f37750b6cae ns_event_fw_loop (libnunc-stans.so.0)
                #4  0x00007f37750b5929 event_loop_thread_func (libnunc-stans.so.0)
                #5  0x00007f3772764609 start_thread (libpthread.so.0)
                #6  0x00007f3771fc017f __clone (libc.so.6)

Comment 8 Lukas Slebodnik 2017-09-21 19:28:36 UTC
Ups comments to wrong BZ. PLease ignore comment#6

Comment 10 Jakub Hrozek 2017-10-20 10:11:59 UTC
Upstream ticket:
https://pagure.io/SSSD/sssd/issue/3551

Comment 11 Jakub Hrozek 2017-10-26 08:30:10 UTC
* master: 0f44eefe2ce75a0814c8688495477f6c57f3d39a

Comment 12 Fedora Update System 2017-11-21 17:39:34 UTC
sssd-1.16.0-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-97eab6fef7

Comment 13 Fedora Update System 2017-11-21 17:39:48 UTC
sssd-1.16.0-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-97eab6fef7

Comment 14 Fedora Update System 2017-11-21 17:59:59 UTC
sssd-1.16.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7aa857c238

Comment 15 Fedora Update System 2017-11-21 18:01:10 UTC
sssd-1.16.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1524498243

Comment 16 Fedora Update System 2017-11-22 06:30:56 UTC
sssd-1.16.0-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-97eab6fef7

Comment 17 Fedora Update System 2017-11-22 17:52:49 UTC
sssd-1.16.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1524498243

Comment 18 Fedora Update System 2017-11-25 01:32:20 UTC
sssd-1.16.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7aa857c238

Comment 19 Fedora Update System 2017-12-01 03:43:47 UTC
sssd-1.16.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-12-02 03:10:56 UTC
sssd-1.16.0-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-12-04 21:33:11 UTC
sssd-1.16.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.